Get the verified compiled World for one immutable build
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/builds/{buildHash}/world \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/builds/{buildHash}/world"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/builds/{buildHash}/world', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"engineVersion": "<string>",
"world": {
"id": "<string>",
"seed": "<string>",
"title": "<string>"
},
"tools": [
{
"schemaVersion": 1,
"id": "<string>",
"version": "<string>",
"engine": "<string>",
"capabilities": [
"state.read"
],
"state": [],
"operations": [
{
"id": "<string>",
"inputSchema": {},
"outputSchema": {},
"declaredErrors": [],
"idempotency": "none",
"fidelity": "contract",
"description": "<string>",
"mcp": {
"name": "<string>",
"description": "<string>"
}
}
],
"events": [],
"faults": [],
"subscriptions": [],
"http": [],
"callbacks": [],
"compatibility": [],
"connections": [
{
"id": "<string>",
"title": "<string>",
"protocol": "http",
"environment": {},
"instructions": "<string>"
}
]
}
],
"baseline": {
"virtualTimeUs": 0,
"actors": [],
"state": [],
"faults": [],
"initialEvents": [],
"title": "<string>",
"toolOverrides": [
{
"id": "<string>",
"operation": {
"packageId": "<string>",
"operationId": "<string>"
},
"outcome": {
"kind": "return",
"value": "<unknown>"
},
"scope": {
"kind": "baseline"
},
"when": {
"arguments": {},
"actorId": "<string>"
},
"times": 4503599627370495
}
]
},
"scenarios": [],
"drills": [],
"suites": [],
"targets": []
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Get the verified compiled World for one immutable build
Get the verified compiled World for one immutable build
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^sha256:[0-9a-f]{64}$Response
Compiled World
Available options:
1 Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-[0-9A-Za-z.-]+)?(?:\+[0-9A-Za-z.-]+)?$Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes